## Bsoft program

# bmodedit

### Usage: bmodedit [options] in.star

Creates models.
The size of a new model is defined by the -distance option (except -gaussian). If input files are specified, the new model is added or the new components replace old ones.

### Actions for creation:

-create mod1 | New model with the given ID.
-symmetry O-3 | New model type based on symmetry (T, O and I).
-shell 134.2 | Generate a spherical shell with the given radius.
-fibonacci 244,50 | Generate a fibonacci sphere: number of components and radius.
-icosahedron 238.5,3,1 | Generate an icosahedral shell with the given radius and divisions,
| and a flag to make it spherical.
-circle 527,243 | Generate a circle with the given radius and z offset.
-ellipse 620.5,314.9,5.2 | Generate an ellipse with the given x and y semi-axes lengths and z offset.
-ellipsoid 24.3,51.2,68 | Generate an ellipsoid with the given x,y,z semi-axes.
-cylinder 88.3,155 | Generate a cylinder with the given radius and length.
-spindle 88.3,9.5 | Generate a spindle with the radius and packing separation.
-randomfill 56 | Random model with a number of non-overlapping components (use with -componentradius).
-randomshell 87 | Random model with a number of components on a shell.
-gaussian 44,30.7 | Random model with a number of gaussian distributed components and standard deviation.
-peaks cc.map | Generate a model from peaks in a map.

### Actions:

-all | Reset selection to all models and components before other selections.
-replace | Replace existing components with newly created ones (default add).
-reduce submod.star | Replace each set of linked components with one new component and write sub-model file.
-id model1 | Set model identifier.
-settype VER | Set all component types.
-changetype VER,KRN | Change component type name.
-add -56,3.45,-123 | Add a component (define model with -id and type with -settype).
-associate TRS,trs.pdb | Associate a component type with a file name.
-linklength 56.3 | Generate links with this maximum length.
-rdf 1.2 | Calculate the radial distribution function with the given sampling (angstrom).
-consolidate 85.4 | Consolidate models: components are considered the same if within the given distance.

### Parameters:

-verbose 7 | Verbosity of output.
-distance 54.7 | Component distance from origin (default 100 angstrom).
-helix 31.6,43.2,35 | Helix with given rise, rotation angle and number of components.
-direction 0.2,-0.5,0.3 | Direction vector (for -cylinder and -spindle).
-componentradius 0.5 | Component display radius (angstrom).
-linkradius 0.5 | Link display radius (angstrom).
-color 0.1,0.5,0.2,1 | Color new models.

### Parameters for generating a model:

-points 152 | Number of points.
-separation 2.5 | Separation distance between points.

### Input:

-parameters param.star | Input parameter file.
-map file.map | Input map file to associate with shell model.

### Output:

-output newmod.star | New model file.
-catenate catmap.pif | New file name for catenated model maps.

Bsoft version 2.0.3-20180917 (64 bit)